Как в автокаде провести перпендикуляр к наклонной линии
Перейти к содержимому

Как в автокаде провести перпендикуляр к наклонной линии

  • автор:

Построение перпендикулярных линий

Команда «Перпендикулярная линия от точки» вычерчивает перпендикулярную или радиальную линию от выбранной точки на имеющемся на чертеже объекте.

Выберите местоположение точки на перпендикуляре, затем задайте расстояние, указав две точки или с помощью ввода значения.

Для построения перпендикуляра или радиуса

  1. Выберите вкладку «Главная» панель «Рисование» раскрывающийся список «Линия» «Создать перпендикулярную линию от точки» . В командной строке введите «ПерпендикулярнаяЛиния».
  2. Выберите объект — дугу или линию, от которого надо продлить линию.
  3. Укажите на объекте точку, от которой будет продлена линия.
  4. Чтобы указать расстояние, щелкните на чертеже или введите значение.

Вкладка «Главная» панель «Рисование» раскрывающийся список «Линия» «Создать перпендикулярную линию от точки» .

Меню «Линии/Кривые» «Создание линий» «Перпендикулярная линия от точки»

Есть ли способ провести линию перпендикулярно наклонной поверхности?

Если нажимать галку autogrid, то рисование сплайнами происходит на данной наклонной плоскости, но не перпендикулярно ей.
Или простейшее: надо разрезать ту же самую стену, которая стоит под углом, точно по нормали, а не на глаз, как это сделать? (см. аттач)

Вложения

00.jpg

14,8 КБ Просмотров: 967

moreeasy
Знаток

Рейтинг 25

Извините, априори, на Вашем скриншоте неуместно говорить о «наклонной плоскости»!
Но если я правильно трактую условия задачи, то необходимо строить сплайн Section (с включенной опцией autogrid) на перпендикулярной плоскости к будущему сечению, а затем: A (латиница)и rotate на 90 градусов.

xim_max
Активный участник

Рейтинг 13
на Вашем скриншоте неуместно говорить о «наклонной плоскости»!

предположим, это вид Top плоскости, которая расположена вертикально по оси Z, либо просто опорная линия, из которой в дальнейшем получиться плоскость. и к ней в координатах XY надо провести перпендикуляр.
К сожалению, повторюсь, нет под рукой 3дмаха по причине 32й оси, но, я так понял, что можно нарисовать отдельный сплайн Section, который порежет выбранный объект неким способом. В смысле — спасибо, поищу. Но про угол поворота: подозреваю, что шоткат A включает инструмент Rotate. Пробовал рисовать в плоскости autogrid и потом думал повернуть на 90 гр, но внизу в «координатах угла» объекта стоят какие-то непонятные углы наклона по всем трём координатам, и явно не относительно плоскости опорного объекта (т.к. иначе они должны быть равны нулю). И, какие углы поставить в координатах X и Y, чтоб сплайн повернулся не относительно их, а выбранного объекта (или самого себя) на 90 градусов, мозг не осиливает.
В общем, в понедельник попробую, что даёт шоткат А (скорее всего от angle), и тогда диалог с вами будет более конструктивным.
Поясню ещё одну тонкость: я так и не нашел, как точно и пропорционально изменить размеры объекта (про это пока тему не создаю), да, через гугл есть способы, но слишком сложные для простейшей операции, поэтому не ожидаю, что есть простейший оператор, просто поворачивающий объект на нужный угол по нужной оси. Да и как его просчитать этот угол, если плоскость стоит во всех плоскостях под «неправильными» углами?

Как начертить линию перпендикулярно от точки начала?

Есть линия 1
Из точки 2 нужно провести линию 3 под углом 90 градусов к линии 1.
Как это сделать используя минимальное количество действий?

Просмотров: 36731

Мы считаем, . таем, . таем!

Регистрация: 12.08.2008
Сообщений: 763

[quote=Moris;1038320]Есть линия 1
Из точки 2 нужно провести линию 3 под углом 90 градусов к линии 1.
Как это сделать используя минимальное количество действий?

[/QUOTE

копирование с поворотом в произвольной точке не катит?

__________________
The cat that walks by itself.
Регистрация: 15.09.2003
Сообщений: 452
Нет катит. Нужно сразу от линии под прямым углом.
Регистрация: 29.10.2004
Талды-Париж
Сообщений: 5,989
Повернуть систему координат и рисовать с ОРТО
Регистрация: 21.12.2010
Сообщений: 29

из произвольной точки провести перпендикуляр к линии 1 и полученную линию 3 перенести командой _MOVE в нужную точку

nikita_sh_al
Посмотреть профиль
Найти ещё сообщения от nikita_sh_al

Регистрация: 23.05.2012
Сообщений: 1,374

Попробуйте воспользоваться таким макросом:

^C^C(Setq Om (Getvar «Orthomode»));(setvar «UCSFOLLOW» 0);_Select;_Single;_Nea;\_Ucsicon;_Of;_Ucs;_New;_Object;@;_Ortho;_On;_Pline;\\;_Ucs;_Pr;_Ucsicon;_On;(Setvar «Orthomode» Om)

__________________
Как-то так.
Регистрация: 15.09.2003
Сообщений: 452
Сообщение от sertor

Попробуйте воспользоваться таким макросом:

^C^C(Setq Om (Getvar «Orthomode»));(setvar «UCSFOLLOW» 0);_Select;_Single;_Nea;\_Ucsicon;_Of;_Ucs;_New;_Object;@;_Ortho;_On;_Pline;\\;_Ucs;_Pr;_Ucsicon;_On;(Setvar «Orthomode» Om)

Приделал кнопку, буду пользоваться.
Спасибо
Регистрация: 20.03.2008
Сообщений: 2,653
Сообщение от sertor
Попробуйте воспользоваться таким макросом

Макрос не возвращает систему координат, если нажать Esc и не повторяется по правой кнопке (или по Enter/Space)

Регистрация: 12.06.2005
Сообщений: 1,973
Разве нет такой кнопки изначально?
Регистрация: 19.10.2012
Сообщений: 749

Макрос не возвращает систему координат, если нажать Esc и не повторяется по правой кнопке (или по Enter/Space)

не нажимайте Esc
и перпендикуляр к какойто линии не так часто нужно рисовать потому повтор по правой кнопке или по Enter/Space можно не использовать
лучше всего забить в горячую клавишу

Разве нет такой кнопки изначально?

кнопка есть но тот макрос работает намного удобней
Последний раз редактировалось PsixVK, 03.02.2013 в 15:50 .

Артиллерист — вертолётчик. Дипломированный инженер-механик. Technologist

Регистрация: 29.11.2004
Где-то около Москвы
Сообщений: 16,521
Сообщение от Moris

Есть линия 1
Из точки 2 нужно провести линию 3 под углом 90 градусов к линии 1.
Как это сделать используя минимальное количество действий?

То есть вся проблема, провести перпендикуляр не за два действия, как предложил dyr, а за одно?
Я бы, честно говоря, остановился на стандартной кнопке «Нормаль» и выполнял за два действия,
1. провел линию из произвольной точки по нормали к базовой линии,
2. сместил её к концу (или к заданной точке) базовой линии.
но раз надо. цепляйте макрос.

__________________
«Артиллерия не токмо грохот, но и наука!» Пётр I
Последний раз редактировалось T-Yoke, 03.02.2013 в 16:14 .
Регистрация: 05.09.2003
Сообщений: 10,288
Сообщение от nikita_sh_al

из произвольной точки провести перпендикуляр к линии 1 и полученную линию 3 перенести командой _MOVE в нужную точку

Но можно и наоборот. Из произвольной точки на линии 1 ВОССТАНОВИТЬ перпендикуляр. А затем перенести в нужную точку. Для этого взяв команду _Line и затем привязку Per подвести курсор к линии и дождаться появления значка Нормаль с тремя точками.
Уже много автокадов назад это можно было сделать.
Макрос в посте #6 взят в основе из моей книги . Язык макрокоманд и создание кнопок. Здесь он немного модифицированный, но все равно не худо-бы сослаться на первоисточник (на форуме так принято)

Регистрация: 27.02.2012
Сообщений: 1,090
Есть в АвтоКаде параметрические функции
Регистрация: 20.03.2008
Сообщений: 2,653

Лиспом это можно реализовать за 2 клика, не считая вызова команды (макросом выходит 3). Плюс повтор по Enter/Space
Примерно так:

(defun C:PERP (/ *error* osm cmd adoc pt1 pt2 crv ang1 ang2 ang) (defun *error* (msg) (vl-cmdf "_redrawall") (vla-EndUndoMark adoc) (setvar "OSMODE" osm) (setvar "CMDECHO" cmd) ) (setq osm (getvar "OSMODE")) (setq cmd (getvar "CMDECHO")) (vl-load-com) (setq adoc (vla-get-activedocument (vlax-get-acad-object))) (vla-StartUndoMark adoc) (setvar "CMDECHO" 0) (setvar "OSMODE" 547) (setq pt1 (getpoint "\nУкажите точку на линии : ")) (setq crv (vlax-ename->vla-object (ssname (ssget pt1 '((0 . "*LINE"))) 0))) (setq pt2 (vlax-curve-getPointAtParam crv (+ (vlax-curve-getParamAtPoint crv pt1) 0.0001))) (if (null pt2)(setq pt2 (vlax-curve-getPointAtParam crv (- (vlax-curve-getParamAtPoint crv pt1) 0.0001)))) (setq ang1 (* 0.5 pi)) (setq ang2 (angle pt1 pt2)) (setq ang (+ ang1 ang2)) (setq ang (angtos ang 0 15)) (vl-cmdf "_.LINE" "_none" pt1 (strcat "
Научился у VVA. Без претензии на исключительность.

Как простроить перпендикуляр в автокаде? Как простроить перпендикуляр в автокаде?

Если значка "перпендикулярная линия " - нет, то сделать это в деревянной программе нелегко.

Остальные ответы

Для любой линии относительно другой линии - Парамеризация/перпендикулярность "сохранение угла в 90 град. между линиями или сегментами полилинии. Второй выбранный объект перпендикулярен первому".
Относительно листа - Парамеризация/вертикальность "параллельность линий или двух точек, расположенных параллельно оси Y текущей ПСК. Вторая точка объекта выбирается по вертикали относительно первой выбранной точки".

Похожие вопросы

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *